package com.vcarecity.publish.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.vcarecity.publish.constants.ElasticConstant;
import lombok.Data;

import java.util.Date;

/**
 * @author VcKerry on 12/17/19
 */

@Data
public class UnitAgencyMergeEntity {

    private Long unitId;

    private String dtuNo;

    private String puserCode;

    private String userCode;

    private String positions;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = ElasticConstant.ES_DATETIME_PATTERN, timezone = "GMT+8")
    private Date unitUpdateStamp;

    private Long agencyId;

    private String agencyPath;

    private String agencyName;

    private Long buildingId;

    private String nameOfBuilding;

    private Long unitTypeId;

    private String unitType;

    private Integer isDeleted;

    private Integer property;

    private Integer classify;

    private Integer regulatoryLevelId;

    private Integer agencyAttributeClassId;
}
