package com.vcarecity.publish.pojo.query;

import lombok.Data;

import javax.validation.constraints.*;

/**
 * @author Kerry on 19/12/11
 */

@Data
public class UnitAgencyQuery {
    @NotNull
    @NotBlank
    @NotEmpty
    private String agencyPath;

    private String keyword;

    @Min(1)
    private int page = 1;

    @Min(1)
    private int size = 100;

    private String property;
    private String classify;
    private String regulatoryLevelId;
    private String agencyAttributeClassId;
    private String unitTypeId;

}
