package com.vcarecity.publish.service.impl;

import com.vcarecity.publish.service.LoadDataStatusService;
import org.springframework.stereotype.Service;

import java.util.concurrent.atomic.AtomicInteger;

/**
 * @author VcKerry on 12/26/19
 */

@Service
public class LoadDataStatusServiceImpl implements LoadDataStatusService {

    private AtomicInteger dataStatus;

    public LoadDataStatusServiceImpl() {
        this.dataStatus = new AtomicInteger(DATA_STATUS_NOT_LOAD);
    }

    @Override
    public int getStatus() {
        return dataStatus.get();
    }

    @Override
    public void setStatus(int newStatus) {
        dataStatus.set(newStatus);
    }
}
